XkbAddGeomColor(3)

NAME
XkbAddGeomColor - Add one color name to an existing keyboard geometry description

SYNOPSIS
XkbColorPtr XkbAddGeomColor ( geom, spec, pixel )
      XkbGeometryPtr geom;
      char * spec;
      unsigned int pixel;

ARGUMENTS

- geom
    geometry to be updated

- spec
    color to be added

- pixel
    color to be added

DESCRIPTION

Xkb provides functions to add a single new element to the top-level keyboard geometry. In each case the num_ * fields of the corresponding structure is incremented by 1. These functions do not change sz_* unless there is no more room in the array. Some of these functions fill in the values of the element's structure from the arguments. For other functions, you must explicitly write code to fill the structure's elements.

The top-level geometry description includes a list of geometry properties. A geometry property associates an arbitrary string with an equally arbitrary name. Programs that display images of keyboards can use geometry properties as hints, but they are not interpreted by Xkb. No other geometry structures refer to geometry properties.

XkbAddGeomColor adds the specified color name and pixel to the specified geometry geom. The top-level geometry description includes a list of up to MaxColors (32) color names. A color name is a string whose interpretation is not specified by Xkb and neither is the pixel value's interpretation. All other geometry data structures refer to colors using their indices in this global list or pointers to colors in this list. XkbAddGeomColor returns NULL if any of the parameters is empty or if it was not able to allocate space for the color. To allocate space for an arbitrary number of colors to a geometry, use the XkbAllocGeomColors function.

STRUCTURES

    typedef struct _XkbColor {
        unsigned int    pixel;      /* color */
        char *          spec;       /* color name */
    } XkbColorRec,*XkbColorPtr;

SEE ALSO
XkbAllocGeomColors(3)